Bug 1420369 - error in name for new Instance Type doesn't change tab
Summary: error in name for new Instance Type doesn't change tab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:26 UTC by Lucie Leistnerova
Modified: 2018-07-06 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 15:46:06 UTC
oVirt Team: Virt
mtessun: ovirt-4.2?
mtessun: planning_ack+
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Lucie Leistnerova 2017-02-08 14:26:58 UTC
Description of problem:
If I enter not unique value to Name input for new Instance Type then instance can't be created . Name input gets red border and in tooltip error 'Name is already used in the environment, create new unique name'. But the General tab doesn't get red border and focus.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.1.0.4-0.1.el7.noarch

How reproducible: always


Steps to Reproduce:
1. create template with name 'test'
2. go to Configure -> Instance Types
3. try to create new instance type
4. enter name 'test'
5. go to other tab
6. click 'OK'

Actual results: error occurs but General tab doesn't change


Expected results: General tab gets red border and is displayed


Additional info:
error with wrong chars in name works as expected

Comment 1 Martin Tessun 2017-03-06 08:49:25 UTC
It is absolutely not obvious, why the "OK" button does not work in case you do not have the "General" tab active.

As such this needs to be fixed in one way or another.

Comment 2 Martin Tessun 2018-07-06 15:46:06 UTC
This does work as expected in RHV/oVirt 4.2


Note You need to log in before you can comment on or make changes to this bug.